Package org.apache.sysds.runtime.controlprogram.context

## Class ExecutionContextFactory

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.context.ExecutionContextFactory

    public class ExecutionContextFactory
    extends Object

### Constructor Summary

Constructors
`ExecutionContextFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExecutionContext` `createContext()`
`static ExecutionContext` `createContext​(boolean allocateVars, boolean allocateLineage, Program prog)`
`static ExecutionContext` `createContext​(boolean allocateVars, boolean allocateLineage, Program prog, Types.ExecMode mode)`
`static ExecutionContext` `createContext​(boolean allocateVars, Program prog)`
`static ExecutionContext` `createContext​(Types.ExecMode mode)`
`static ExecutionContext` `createContext​(LocalVariableMap vars, Program prog)`
`static ExecutionContext` `createContext​(Program prog)`
`static SparkExecutionContext` `createSparkExecutionContext()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionContextFactory

    public ExecutionContextFactory()

### Method Detail

#### createContext

    public static ExecutionContext createContext()

#### createContext

    public static ExecutionContext createContext​(Program prog)

#### createSparkExecutionContext

    public static SparkExecutionContext createSparkExecutionContext()

#### createContext

    public static ExecutionContext createContext​(Types.ExecMode mode)

#### createContext

    public static ExecutionContext createContext​(LocalVariableMap vars,
                                                 Program prog)

#### createContext

    public static ExecutionContext createContext​(boolean allocateVars,
                                                 Program prog)

#### createContext

    public static ExecutionContext createContext​(boolean allocateVars,
                                                 boolean allocateLineage,
                                                 Program prog)

#### createContext

    public static ExecutionContext createContext​(boolean allocateVars,
                                                 boolean allocateLineage,
                                                 Program prog,
                                                 Types.ExecMode mode)